Bug 175546 - rpm -e kernel-devel eats my memory
rpm -e kernel-devel eats my memory
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-12-12 11:49 EST by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-06 07:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2005-12-12 11:49:25 EST
Since a few days, I'm not able to update my home machine anymore.

yum update tries to remove some of the kernel-devel packages, and
rpm just keeps eating memory on that task. Manually doing 
rpm -e kernel-devel-... for a single version of kernel-devel yields
the same result. This is on a machine with 256MB. After adding 2GB of swap, rpm
still gets OOM killed after a while.
Comment 1 Jeff Johnson 2005-12-12 14:55:14 EST
How many kernels do you have installed?
Comment 2 Matthias Clasen 2005-12-12 15:05:01 EST
I successfully removed all kernel versions except for the last 2, but there are
quite a few kernel-devel versions installed. I think around 15 - 20. The
earliest one is 1600_FC5 IIRC.
Comment 3 Jeff Johnson 2006-01-06 07:41:51 EST
On a 256Mb machine with 15-20 kernel-devel packages installed you
will probably have to remove the files manually
    for i in list_of_kernel_devel_pkgs; do
      rm -f `rpm -ql $i`
and then write a program to delete the headers in /var/lib/rpm/Packages by
their instance key. That program used to exist at http://people.redhat.com/jbj, no
idea where that has gone.

Note You need to log in before you can comment on or make changes to this bug.